{% load static %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
        {% if title %}
            <title>Movie-Trailor - {{ title }}</title>
        {% else %}
            <title> Movie trailor website </title>
        {% endif %}
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'blog/main.css' %}">
   </head>
<body>
        <header class="site-header">
                <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
                  <div class="container">
                    <a class="navbar-brand mr-4" href="{% url 'blog-home' %}">Movie Trailor Website</a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarToggle">
                      <div class="navbar-nav mr-auto">
                        <a class="nav-item nav-link" href="{% url 'blog-home' %}">Home</a>
                        <a class="nav-item nav-link" href="{% url 'blog-about' %}">About</a>
                      </div>
                      <!-- Navbar Right Side -->
                      <div class="navbar-nav">
                        {% if user.is_authenticated %}
                        <a class="nav-item nav-link" href="{% url 'movie-create' %}">Add A Movie</a>  
                        <a class="nav-item nav-link" href="{% url 'profile' %}">Profile</a>  
                        <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>  
                        {% else %}
                        <a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
                        <a class="nav-item nav-link" href="{% url 'register' %}">Register</a>
                        {% endif %}
                      </div>
                    </div>
                  </div>
                </nav>
    </header>
    <main role="main" class="container">
            <div class="row">
              <div class="col-md-8">
                {% if messages %}
                  {% for msg in messages %}
                    <div class="alert alert-{{ msg.tags }}">
                      {{ msg }}
                    </div>
                  {% endfor %}
                {% endif %}
                {% block content %}{% endblock %}
              </div>
              <div class="col-md-4">
                <div class=<a class="nav-item nav-link" href="{% url 'login' %}">
                  <h3>Movie Mania</h3>
                  <p class='text-muted'>You can put any information here you'd like.
                    <ul class="list-group">
                      <li class="list-group-item list-group-item-light">Latest Movies</li>
                      <li class="list-group-item list-group-item-light">Upcoming Movies</li>
                      <li class="list-group-item list-group-item-light">Calendars Release</li>
                      <li class="list-group-item list-group-item-light">IMDB</li>
                    </ul>
                  </p>
                </div>
              </div>
            </div>
          </main>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
</body>
</html>